Arch Linux

Please read this before reporting a bug:
https://wiki.archlinux.org/title/Bug_reporting_guidelines

Do NOT report bugs when a package is just outdated, or it is in the AUR. Use the 'flag out of date' link on the package page, or the Mailing List.

REPEAT: Do NOT report bugs for outdated packages!
Tasklist

FS#71116 - [gnome-documents] Fails to run

Attached to Project: Arch Linux
Opened by Balló György (City-busz) - Thursday, 03 June 2021, 19:58 GMT
Last edited by Jan de Groot (JGC) - Tuesday, 25 October 2022, 10:50 GMT
Task Type Bug Report
Category Packages: Extra
Status Closed
Assigned To Jan Alexander Steffens (heftig)
Architecture All
Severity High
Priority Normal
Reported Version
Due in Version Undecided
Due Date Undecided
Percent Complete 100%
Votes 3
Private No

Details

I always get this error when I trying to run the application:

(org.gnome.Documents:190369): Gjs-WARNING **: 21:48:54.888: JS ERROR: Unable to connect to the tracker database: Error: Unable to resolve arg type 'SparqlConnection'
(org.gnome.Documents:190369): Gjs-WARNING **: 21:48:55.300: JS ERROR: Error indexing the getting started PDF: GLib.Error tracker-miner-manager-error-quark: Filesystem miner is not active
(org.gnome.Documents:190369): Gjs-CRITICAL **: 21:48:55.305: JS ERROR: TypeError: Application.modeController is null

Probably applying the tracker3 port will solve the problem, but I haven't tested:
https://gitlab.gnome.org/GNOME/gnome-online-miners/-/merge_requests/3
https://gitlab.gnome.org/GNOME/gnome-documents/-/merge_requests/35

Upstream report:
https://gitlab.gnome.org/GNOME/gnome-documents/-/issues/50
This task depends upon

Closed by  Jan de Groot (JGC)
Tuesday, 25 October 2022, 10:50 GMT
Reason for closing:  Won't fix
Additional comments about closing:  gnome-documents was dropped.
Comment by Federico (fedev) - Sunday, 26 September 2021, 08:12 GMT
The upstream ticket has been "Open" for 6 months. This started to happen for me when upgrading tracker3 and tracker3-miners yesterday:

[2021-09-25] [ALPM] upgraded tracker3 (3.1.2-1 -> 3.2.0-1)
[2021-09-25] [ALPM] upgraded tracker3-miners (3.1.2-2 -> 3.2.0+6+gfffef2772-1)

Not to put other users thru the same problem. Would it be possible to either update gnome-documents as mentioned in the upstream ticket or remove the affected versions of tracker3-miners and tracker3 from the repos?

Thanks!
Comment by mattia (nTia89) - Sunday, 20 March 2022, 14:51 GMT
Currently, it segfaults...

Unfortunately the bad news is another: `gnome-documents` is no more maintained ("Archived" state in GNOME's gitlab)

Loading...